Package org.jcsp.awt

# Class ActiveButtonControl.BadArguments

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.jcsp.awt.ActiveButtonControl.BadArguments

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `ActiveButtonControl`

public static class ActiveButtonControl.BadArguments extends Exception
This gets thrown if a consistency check fails in the `ActiveButtonControl` constructor.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BadArguments(String s)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BadArguments

public BadArguments(String s)

Parameters:
  `s` - details of the consistency failure.